CSD462::Vector3D Class Reference

Defines 3D vectors. More...

`#include <vector3D.h>`

## Public Member Functions

| Vector3D ()
| Constructor. More...
| Vector3D (double x, double y, double z)
| Constructor. More...
| Vector3D (double c)
| Constructor. More...
| Vector3D (const Vector3D &v)
| Constructor. More...
double | norm (void) const
| Returns Euclidean length.
double | norm2 (void) const
| Returns Euclidean length squared.
Vector3D | unit (void) const
| Returns unit vector.
void | normalize (void)
| Divides by Euclidean length.

## Detailed Description

Defines 3D vectors.

## Constructor & Destructor Documentation

CSD462::Vector3D::Vector3D | ( |  | ) |

inline

Constructor.

Initializes tp vector (0,0,0).

CSD462::Vector3D::Vector3D | ( | double | x,
|  | double | y,
|  | double | z
| ) |  |

inline

Constructor.

Initializes to vector (x,y,z).

CSD462::Vector3D::Vector3D | ( | double | c | ) |

inline

Constructor.

Initializes to vector (c,c,c)

CSD462::Vector3D::Vector3D | ( | const Vector3D & | v | ) |

inline

Constructor.

Initializes from existing vector

The documentation for this class was generated from the following file:

- lib/vector3D.h